---
- hosts: localhost
  connection: local
  remote_user: root
  tasks:
  - name: Download paas-ci role
    local_action: command ansible-galaxy install --force git+https://baltig.infn.it/infn-cloud/paas-ci.git
    changed_when: false

  - include_role:
      name: paas-ci
    vars:
      paas_ci_test:
        template_url: https://baltig.infn.it/infn-cloud/tosca-templates/-/raw/master/single-vm/cloud_storage_service.yaml
        n_timeout_ticks: 90
        inputs: |
          '{ "contact_email":"gioacchino.vino@infn.com", "admin_password": "vOPdudZEwQaR3ltS0vfwrWtMzSWyegLn6GBo1n82mI8jivqq", "mysql_root_password": "vOPdudZEwQaR3ltS0vfwrWtMzSWyegLn6GBo1n82mI8jivqq", "monitoring_admin_password": "vOPdudZEwQaR3ltS0vfwrWtMzSWyegLn6GBo1n82mI8jivqq", "backup_passphrase": "vOPdudZEwQaR3ltS0vfwrWtMzSWyegLn6GBo1n82mI8jivqq", "data_bucket_name": "jenkins-test-data", "backup_bucket_name": "jenkins-test-backup", "aws_access_key": "1dc8a636678541329c60bfa2ab88f594", "aws_secret_key": "301b02a31f2f43cb946462cb97a9a779", "smtp_username": "jenkinspipelines", "smtp_password": "vewhyWokveOnoatt", "users": [{"os_user_add_to_sudoers": true, "os_user_name": "scans", "os_user_ssh_public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCmQvE3sXtg4D/KYzhCdP6cICvy5foeSkHenKTisxdGJK8L0cDmV+4k7fIah1GIXrldjQBGWHSTbIj1qRTXG2OPWFxeDoXIN1FyKxwdOgwIfzIRtVq18VZEqt9eOiNUXN8jGoEAgcU7obqXuPqKAndk4tyOnSDuVnfnZWAiesVvWK16GEq0PAxBhJoX3eq501ilsNnJZDMEnvQEgtFuIbADEanrhRV3yaEca+9vFyOQRkyxDF8Gn6P/wZ4oe35bdgXxi/hg8JVKYbDCLlT+Fdi+OC3trRhwCcBSvDFD0ZQ8oLemzUk+732TqR+I8gVjPE9fiNF+/mrj5OX55SDr8Qgf scans"}]}'
        endpoints_to_scan: |
          storage_service_endpoint,status_service_endpoint
        